> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supersonic.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# notes.update



## OpenAPI

````yaml POST /notes/update
openapi: 3.1.0
info:
  title: Supersonic CRM API
  description: 62 tools for managing your CRM data. Call via CLI, REST, or MCP.
  version: 1.0.0
servers:
  - url: https://api.supersonic.cv
    description: Production
security:
  - bearerAuth: []
paths:
  /notes/update:
    post:
      tags:
        - notes
      summary: 'Update a note: title, body, type, metadata, occurred_at, linked records.'
      operationId: notes.update
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                note_id:
                  type: string
                  description: Note UUID
                title:
                  type: string
                body:
                  type: string
                type:
                  type: string
                  enum:
                    - note
                    - call
                    - meeting
                    - email
                    - custom
                occurred_at:
                  type: string
                metadata:
                  type: object
                record_ids:
                  type: array
                  items:
                    type: string
              required:
                - note_id
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Validation error
        '403':
          description: Permission denied
        '429':
          description: Rate limit exceeded
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'API key: supersonic_live_...'

````